Bug 734232 - [network] gnome-shell applet does not allow to disable a wired connection
Summary: [network] gnome-shell applet does not allow to disable a wired connection
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 16
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 19:22 UTC by Joachim Frieben
Modified: 2013-02-13 19:48 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:48:49 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2011-08-29 19:22:12 UTC
Description of problem:
For the current F16 spin, nm-applet which sits in the upper GNOME panel does not allow to disable a wired connection even when the switch has been set to "off" and reports "off".

Version-Release number of selected component (if applicable):
NetworkManager-0.9.0-1.fc16

How reproducible:
Always.

Steps to Reproduce:
1. Boot F16 and start a GNOME session.
2. Disable an active wired connection through nm-applet.
  
Actual results:
According to nm-applet wired network is off which is wrong and gnome-control-center shows the opposite.

Expected results:
Setting wired network to off by means of nm-applet turns wired network actually off.

Additional info:
gnome-control-center works correctly in this respect.

Comment 1 Jirka Klimes 2012-02-07 15:26:10 UTC
The black gnome-shell applet menu is different from old nm-applet program.
gnome-shell network menu is written in JavaScript and is part of gnome-shell
nm-applet is C-based program and is part of NetworkManager

Do you still experience the issue?

Comment 2 Fedora End Of Life 2013-01-16 16:18:11 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora End Of Life 2013-02-13 19:48:53 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.